package com.bocloud.cmp.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import java.io.Serializable;

/**
 * 
 * @ClassName: VmGenericParam1.java
 * @Description: 公有云浮动IP 操作参数类
 *
 * @author: ymh
 * @date: 2021年4月1日 上午11:25:44
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ElasticIpGenericParam implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Long id;

	private String instanceId;

	private String instanceType;

	private String networkInterfaceId;

	private String privateIpAddress;

	private Long serverId;

	private Boolean allowReassociation;
	// 操作类
	private String action;

}
