package com.bocloud.cmp.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

/**
 * 资源池标签表
 * 
 * @author ymh
 * @时间 2018年12月26日
 */
@Data
@EqualsAndHashCode(callSuper = true)
@NoArgsConstructor
@AllArgsConstructor
@Table("pool_group_label")
public class PoolGroupLabel extends Generic {

	@PK(value = PKStrategy.AUTO)
	private Long id;// ID

	@Column("pool_group_id")
	private Long poolGroupId;

	@Column("label_id")
	private Long labelId;

}
