package com.bocloud.cmp.model;

import java.io.Serializable;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author wangyu
 * @version 5.0.0-SNAPSHOT
 * @since 2021/4/8
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class BatchUpdateImageParam implements Serializable {

    private static final long serialVersionUID = -7919200653461162104L;
    private List<Long> ids;
    private String imageLabel;
    private String remark;
}
