package com.bocloud.cmp.model;

import lombok.Data;

/**
 * 磁盘分区
 */
@Data
public class StorageDiskPartitionModel {
    private Long partitionId; // 分区id，原生端中的id
    private String name;
    private String usages;
    private String partitionUuid; // 分区uuid
    private String mountPath; // 挂载路径
    private Long sizeByte; // 容量
    private Long usedSizeByte; // 容量
    private Boolean used; // 已使用
    private StorageDiskModel disk; // 所属磁盘

}
