package com.bocloud.cmp.service;

import com.bocloud.cmp.entity.ElasticIp;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

public interface ElasticIpService {

	/**
	 * 列表展示
	 *
	 * @param pager
	 * @param context
	 * @return
	 */
	GeneralResult<GridBean<ElasticIp>> list(Pager pager, RequestContext context);


	/**
	 * 详情
	 *
	 * @param id
	 * @return
	 */
	GeneralResult<ElasticIp> detail(Long id);



	/***
	 * 查询EIPs
	 *
	 * @param object
	 * @return
	 */
	GeneralResult listFrees(Long vendorId, String regionId, RequestContext context);

}
