package com.bocloud.cmp.service;


import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.RequestContext;

/**
 * 定时快照任务
 * 
 * @ClassName: SnapshotTaskService.java
 * @Description:
 *
 * @author: ymh
 * @date: 2021年3月29日 下午5:31:14
 */
public interface SnapshotTaskService {

    GeneralResult create(String taskUuid, RequestContext context);

    GeneralResult modify(String taskUuid, RequestContext context);

    GeneralResult removeByVmId(Long serverId);
    
    default GeneralResult removeByVendor(Long vendorId) {
    	return new GeneralResult(false, "暂未实现");
    }

    default GeneralResult remove(String taskUuid) {
    	return new GeneralResult(false, "暂未实现");
    }

}
