//package com.bocloud.cmp.util;
//
//import com.bocloud.cmp.config.ButlerConfig;
//import lombok.SneakyThrows;
//import lombok.extern.slf4j.Slf4j;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.data.redis.core.RedisTemplate;
//import org.springframework.stereotype.Component;
//
//import java.util.concurrent.TimeUnit;
//
//@Slf4j
//@Component
//public class RedisUtils {
//
//    @Autowired
//    private RedisTemplate<String, String> redisTemplate;
//    @Autowired
//    private ButlerConfig butlerConfig;
//
//
//    public boolean getLockWithTimeout(String lockKey , Integer timeout , TimeUnit timeUnit){
//      return redisTemplate.opsForValue().setIfAbsent(lockKey, "1", timeout, timeUnit);
//    }
//
//    public boolean setKey(String key){
//        return redisTemplate.opsForValue().setIfAbsent(key, "1" , 60 * 10 , TimeUnit.SECONDS);
//    }
//    public String getKey(String key){
//        return redisTemplate.opsForValue().get(key);
//    }
//
//    @SneakyThrows
//    public void wait(String lockKey , Integer timeout){
//        boolean result = getLockWithTimeout(lockKey , timeout , TimeUnit.SECONDS);
//        while (!result){
//            result = getLockWithTimeout(lockKey , timeout , TimeUnit.SECONDS);
//            Thread.sleep(300);
//        }
//    }
//
//    public void removeKey(String lockKey){
//        redisTemplate.delete(lockKey);
//    }
//
//}
