package com.bocloud.cmp.common;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

/**
 * 文件上传路径存储
 * 
 * @author weiwei
 *
 */
@Component
public class StorageConfig {

	@Value("${spring.upload.path:/home/cmp}")
	private String path;
	@Value("${websockify.token:/websockify/token}")
	private String websockify;

	/**
	 * @return the path
	 */
	public String getPath() {
		return path;
	}

	/**
	 * @param path
	 *            the path to set
	 */
	public void setPath(String path) {
		this.path = path;
	}

	public String getWebsockify() {
		return websockify;
	}

	public void setWebsockify(String websockify) {
		this.websockify = websockify;
	}
}