package com.bocloud.cmp.domain;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 位置信息
 * 
 * @author wangyu
 * @version 1.0
 * @since 2020年4月14日
 *
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class LocationModel {

	// 地域
	private String region;
	// 可用域
	private String az;
	// 云平台id
	private Long vendorId;

	// 资源池id
	private Long poolGroupId;

	/**
	 * 业务ID
	 */
	private Long businessId;

	/**
	 * 项目ID
	 */
	private Long projectId;

	/**
	 * 申请人ID
	 */
	private Long creatorId;

	/**
	 * 使用人ID
	 */
	private Long ownerId;

	/**
	 * 维护人ID
	 */
	private Long  menderId;

	private String azName;
	private String regionName;
}
