package com.bocloud.cmp.entity;

import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
@Table("cms_permission")
public class CmsPermission extends Generic {
    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @IgnoreAll
    private String user;
    @IgnoreAll
    private String vhost;
    @IgnoreAll
    private String configure;
    @IgnoreAll
    private String write;
    @IgnoreAll
    private String read;
}
