package com.bocloud.cmp.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;

/**
 * xsky 客户端 and 客户端组
 */
@Table("file_client_group_relation")
public class FileClientGroupRelation extends Generic {

    @PK(value = PKStrategy.AUTO)
    private Long id; // ID
    @Column("vendor_id")
    private Long vendorId; // 云供应商ID
    @Column("file_client_id")
    private Long fileClientId; // 云供应商ID
    @Column("file_client_group_id")
    private Long fileClientGroupId; // 云供应商ID

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public Long getFileClientId() {
        return fileClientId;
    }

    public void setFileClientId(Long fileClientId) {
        this.fileClientId = fileClientId;
    }

    public Long getFileClientGroupId() {
        return fileClientGroupId;
    }

    public void setFileClientGroupId(Long fileClientGroupId) {
        this.fileClientGroupId = fileClientGroupId;
    }

    public FileClientGroupRelation(Long vendorId, Long fileClientId, Long fileClientGroupId) {
        super();
        this.vendorId = vendorId;
        this.fileClientId = fileClientId;
        this.fileClientGroupId = fileClientGroupId;
    }

}
