package com.bocloud.cmp.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.IgnoreAll;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.GenericEntity;
import com.megatron.entity.meta.PKStrategy;


@Table("san_fabric_zone_set")
public class SanFabricZoneSet extends GenericEntity {

    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("vendor_id")
    private Long vendorId;
    @Column("fabric_id")
    private Long fabricId;
    @Column("vsan_id")
    private Long vsanId;
    @Column("vsan_name")
    @IgnoreAll
    private String vsanName;
    @IgnoreAll
    private Integer zoneSize;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getVendorId() {
        return vendorId;
    }

    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    public Long getFabricId() {
        return fabricId;
    }

    public void setFabricId(Long fabricId) {
        this.fabricId = fabricId;
    }

    public Long getVsanId() {
        return vsanId;
    }

    public void setVsanId(Long vsanId) {
        this.vsanId = vsanId;
    }

    public String getVsanName() {
        return vsanName;
    }

    public void setVsanName(String vsanName) {
        this.vsanName = vsanName;
    }

    public Integer getZoneSize() {
        return zoneSize;
    }

    public void setZoneSize(Integer zoneSize) {
        this.zoneSize = zoneSize;
    }
}