package com.bocloud.cmp.entity;

import com.megatron.entity.annotations.Column;
import com.megatron.entity.annotations.PK;
import com.megatron.entity.annotations.Table;
import com.megatron.entity.bean.Generic;
import com.megatron.entity.meta.PKStrategy;

/**
 * 宿主机和存储之间的关系表
 *
 * @author dmw
 */
@Table("store_host")
public class StoreHost extends Generic {
    @PK(value = PKStrategy.AUTO)
    private Long id;
    @Column("store_id")
    private Long storeId;
    @Column("vhost_id")
    private Long vhostId;
    @Column("vendor_id")
    private Long vendorId;
    @Column("category")
    private String category;

    /**
     * @return the vendorId
     */
    public Long getVendorId() {
        return vendorId;
    }

    /**
     * @param vendorId the vendorId to set
     */
    public void setVendorId(Long vendorId) {
        this.vendorId = vendorId;
    }

    /**
     * @return the id
     */
    public Long getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * @return the storeId
     */
    public Long getStoreId() {
        return storeId;
    }

    /**
     * @param storeId the storeId to set
     */
    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    /**
     * @return the vhostId
     */
    public Long getVhostId() {
        return vhostId;
    }

    /**
     * @param vhostId the vhostId to set
     */
    public void setVhostId(Long vhostId) {
        this.vhostId = vhostId;
    }

    /**
     * @return the category
     */
    public String getCategory() {
        return category;
    }

    /**
     * @param category the category to set
     */
    public void setCategory(String category) {
        this.category = category;
    }

    public StoreHost(Long storeId, Long vhostId, Long vendorId, String category) {
        super();
        this.storeId = storeId;
        this.vhostId = vhostId;
        this.vendorId = vendorId;
        this.category = category;
    }

    /**
     *
     */
    public StoreHost() {
        super();
    }
}
