package com.bocloud.cmp.enums;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

/**
 * @author tyl
 * @since 2021/4/23 15:47
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PoolGroupAction {
    private List<Long> ids;
    private Action action;

    public enum Action{
        /**
         * 禁用
         */
        disable,
        /**
         * 启用
         */
        able,
    }
}
