package com.bocloud.cmp.model;

import lombok.Data;

import java.util.List;

@Data
public class HostSystem {
    private String name; // 名称
    private String status; // 状态
    private String uuid;
    private Integer cpuNum;// 宿主机（物理机）cpu核数
    private Long cpuTotal;
    private Double memTotal;
    private Double diskTotal;
    private Long cpuUsed;
    private Double memUsed;
    private Double diskUsed;
    private String category;
    private String catalog;
    private String cpuModel;
    private String vendor;
    private List<String> stores;
    private List<ServerModel> servers;// 云主机
    private List<NetworkCardModel> netcards;
    private Integer vmNum;// 宿主机（物理机）上的云主机数量
    private Integer templateNum;// 宿主机（物理机）上的云主机数量
    private String powerState;// 宿主机（物理机）电源状态
    private Integer datastoreNum;// 宿主机（物理机）数据存储数量
    private Integer cpuCore;// 宿主机（物理机）cpu数量
    private String hostIp;// 宿主机IP
    private Boolean maintained;
    private Boolean connected;
    private List<DataStoreModel> dataStores;
    private List<NetworkModel> networks;
    private List<SwitcherModel> switchers;
    private ResourcePoolModel resourcePool;
    private Boolean ipv6Enabled;
    private String esxVersion;
    private String evc;
    private String assignedLicense;
    private String ipmiAddress;
    private String ipmiAccount;
    private String ipmiPassword;
    private String ipmiPort;
    private List<ScsiLunModel> scsiLunModels;

}
