package com.bocloud.cmp.model;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;

/**
 * @author wangyu
 * @version 5.0.0-SNAPSHOT
 * @since 2021/4/12
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Builder
public class IpScanParam implements Serializable {


    private static final long serialVersionUID = -4899245520673889288L;
    private Long poolId;
    private Long vendorId;
    private List<Long> poolIds;
}
