package com.bocloud.cmp.model;

import lombok.Data;

/**
 * 资源池段
 */
@Data
public class ResourcePoolSegmentsModel {
    private String resourcePoolType; // 资源池类型，Vlan Vtep Mgmt Inter BgpPeer
    private String resourcePoolUuid; //华为SDN资源池唯一标识
    private String startIp; // 华为SDN资源池起始IP地址
    private String endIp; // 华为SDN资源池终止IP地址
    private String mask; // 华为SDN资源池IP地址掩码
    private String ipVersion; // 华为SDN资源池IP地址类型, Ipv4 Ipv6

}
