package com.bocloud.cmp.model;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * scsi lun
 *
 * @author wangyu
 * @version 1.0
 * @since 2020年6月19日
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
public class ScsiLunModel {
    private Boolean ssd;
    private String displayName;
    private Boolean localDisk;
    private String descriptor;
    private String vStorageSupport;
    private String deviceName;
    private String uuid;
    private String capacity;
    private String durableName;
    private Boolean protocolEndpoint;
    private String devicePath;
    private String vendor;
    private String model;
    private String lunKey;
    private String canonicalName;
    private String deviceType;
    private String lunType;
    private String capabilities;
    private String serialNumber;
    private String standardInquiry;
    private Boolean emulatedDIXDIFEnabled;
    private String alternateName;
    private String revision;
    private Integer scsiLevel;
    private Integer queueDepth;
    private String operationalState;
}
