package com.bocloud.cmp.service;

import com.bocloud.cmp.entity.Tag;
import com.bocloud.cmp.model.VmTagParam;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;

public interface TagService {

	/**
	 * 列表展示
	 *
	 * @param pager
	 * @return
	 */
	GeneralResult<GridBean<Tag>> list(Pager pager);

	/**
	 * 创建
	 *
	 * @return
	 */
	GeneralResult create(VmTagParam vmTagParam);

	/**
	 * 删除
	 *
	 * @return
	 */
	GeneralResult remove(Long id);

}
