package com.bocloud.cmp.service;

import java.util.List;

import com.bocloud.cmp.entity.Vpc;
import com.megatron.common.model.GeneralResult;
import com.megatron.common.model.GridBean;
import com.megatron.common.model.Pager;
import com.megatron.common.model.RequestContext;

/**
 * vpc service实现
 *
 * @author wangyu
 * @version 1.0
 * @since 2018年2月2日
 */
public interface VpcService {

    public GeneralResult<GridBean<Vpc>> list(Pager pager, RequestContext context);


    /**
     * condition方式查询VPC列表
     *
     * @param condition
     * @param context
     * @return
     */
    public GeneralResult<List<Vpc>> condition(String condition, RequestContext context);


}
